Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webhooks

Webhooks

List http transport configurations

get
/tenants/{tenantUid}/httptransports

List http transport configurations

Required access: Tenant.Admin

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Transport List response

application/json
get/tenants/{tenantUid}/httptransports
GET /v2/tenants/{tenantUid}/httptransports HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Transport List response

{
  "items": [
    {
      "headers": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "name": "text",
      "password": "text",
      "securityType": "NONE",
      "token": "text",
      "httpTransportUid": "text",
      "url": "text",
      "username": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create new http transport configuration on a tenant

post
/tenants/{tenantUid}/httptransports

Add http transport configuration to tenant

Required access: Tenant.Admin

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

Transport Request Schema

namestringRequired
passwordstringOptional
securityTypestring · enumRequiredPossible values:
tokenstringOptional
urlstringRequired
usernamestringOptional
httpTransportUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Transport response

application/json

Transport Response Schema

namestringRequired
passwordstringRequired
securityTypestring · enumRequiredPossible values:
tokenstringRequired
httpTransportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
urlstringRequired
usernamestringRequired
post/tenants/{tenantUid}/httptransports
POST /v2/tenants/{tenantUid}/httptransports HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 169

{
  "headers": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "name": "text",
  "password": "text",
  "securityType": "NONE",
  "token": "text",
  "url": "text",
  "username": "text",
  "httpTransportUid": "text"
}
200

Transport response

{
  "headers": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "name": "text",
  "password": "text",
  "securityType": "NONE",
  "token": "text",
  "httpTransportUid": "text",
  "url": "text",
  "username": "text"
}

Get http transport configuration details

get
/tenants/{tenantUid}/httptransports/{httpTransportUid}

Get details for a http transport configuration.

Required access: Tenant.Admin

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
httpTransportUidstringRequired

Reference to a Http Transport.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Transport response

application/json

Transport Response Schema

namestringRequired
passwordstringRequired
securityTypestring · enumRequiredPossible values:
tokenstringRequired
httpTransportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
urlstringRequired
usernamestringRequired
get/tenants/{tenantUid}/httptransports/{httpTransportUid}
GET /v2/tenants/{tenantUid}/httptransports/{httpTransportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Transport response

{
  "headers": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "name": "text",
  "password": "text",
  "securityType": "NONE",
  "token": "text",
  "httpTransportUid": "text",
  "url": "text",
  "username": "text"
}

Update tenant http transport configuration

put
/tenants/{tenantUid}/httptransports/{httpTransportUid}

Update http transport configuration for a tenant

Required access: Tenant.Admin

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
httpTransportUidstringRequired

Reference to a Http Transport.

Pattern: ^[A-Za-z0-9-_]+
Body

Transport Request Schema

namestringRequired
passwordstringOptional
securityTypestring · enumRequiredPossible values:
tokenstringOptional
urlstringRequired
usernamestringOptional
Responses
200

Transport response

application/json

Transport Response Schema

namestringRequired
passwordstringRequired
securityTypestring · enumRequiredPossible values:
tokenstringRequired
httpTransportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
urlstringRequired
usernamestringRequired
put/tenants/{tenantUid}/httptransports/{httpTransportUid}
PUT /v2/tenants/{tenantUid}/httptransports/{httpTransportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 143

{
  "headers": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "name": "text",
  "password": "text",
  "securityType": "NONE",
  "token": "text",
  "url": "text",
  "username": "text"
}
200

Transport response

{
  "headers": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "name": "text",
  "password": "text",
  "securityType": "NONE",
  "token": "text",
  "httpTransportUid": "text",
  "url": "text",
  "username": "text"
}

Delete a http transport configuration from a tenant

delete
/tenants/{tenantUid}/httptransports/{httpTransportUid}

Deletes a http transport configuration completely from a tenant.

Required access: Tenant.Admin

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
httpTransportUidstringRequired

Reference to a Http Transport.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/httptransports/{httpTransportUid}
DELETE /v2/tenants/{tenantUid}/httptransports/{httpTransportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List all webhooks

get
/tenants/{tenantUid}/webhooks

List all webhooks.

Required access: Tenant.Admin

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
httpTransportUidstringOptional

Http Transport uid

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/webhooks
GET /v2/tenants/{tenantUid}/webhooks HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "action": "PRODUCT_CREATE",
      "httpTransport": {
        "headers": [
          {
            "key": "text",
            "value": "text"
          }
        ],
        "name": "text",
        "password": "text",
        "securityType": "NONE",
        "token": "text",
        "httpTransportUid": "text",
        "url": "text",
        "username": "text"
      },
      "webhookUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

List all webhooks for a httpTransport

get
/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks

List all webhooks for a http transport.

Required access: Tenant.Admin

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
httpTransportUidstringRequired

Reference to a Http Transport.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks
GET /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "action": "PRODUCT_CREATE",
      "httpTransport": {
        "headers": [
          {
            "key": "text",
            "value": "text"
          }
        ],
        "name": "text",
        "password": "text",
        "securityType": "NONE",
        "token": "text",
        "httpTransportUid": "text",
        "url": "text",
        "username": "text"
      },
      "webhookUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create new webhook on a httpTransport

post
/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks

Add webhook on a httpTransport

Required access: Tenant.Admin

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
httpTransportUidstringRequired

Reference to a Http Transport.

Pattern: ^[A-Za-z0-9-_]+
Body

Webhook Update Request Schema

actionstring · enumRequired
ENUM Description
PRODUCT_CREATE Create new product
PRODUCT_UPDATE Update existing product
PRODUCT_DELETE Product deleted
CUSTOMER_CREATE Create new customer
CUSTOMER_UPDATE Update existing customer
CUSTOMER_DELETE Customer deleted
ORDER_SETTLED New order. Order status is SETTLED
ORDER_RECEIPT_SETTLED A receipt is SETTLED
ORDER_DELIVERED Existing order. Order status DELIVERED
ORDER_HANDLING_STATE_CHANGED An order handling has changed
TILL_CLOSED Till has been counted and closed.
TILL_OPEN Till has been opened.
PRICE_CREATE Create new price.
PRICE_UPDATE Update Price.
PRICE_DELETE Price deleted
STOCK_CHANGE Stock for a warehouseUid and productUid has changed.
PRODUCT_MEDIA_CHANGE Product media has changed (create/update/delete).
PURCHASE_RECEIVED Purchase order fully received
Possible values:
webhookUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Webhook Response

actionstring · enumRequired
ENUM Description
PRODUCT_CREATE Create new product
PRODUCT_UPDATE Update existing product
PRODUCT_DELETE Product deleted
CUSTOMER_CREATE Create new customer
CUSTOMER_UPDATE Update existing customer
CUSTOMER_DELETE Customer deleted
ORDER_SETTLED New order. Order status is SETTLED
ORDER_RECEIPT_SETTLED A receipt is SETTLED
ORDER_DELIVERED Existing order. Order status DELIVERED
ORDER_HANDLING_STATE_CHANGED An order handling has changed
TILL_CLOSED Till has been counted and closed.
TILL_OPEN Till has been opened.
PRICE_CREATE Create new price.
PRICE_UPDATE Update Price.
PRICE_DELETE Price deleted
STOCK_CHANGE Stock for a warehouseUid and productUid has changed.
PRODUCT_MEDIA_CHANGE Product media has changed (create/update/delete).
PURCHASE_RECEIVED Purchase order fully received
Possible values:
webhookUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks
POST /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "action": "PRODUCT_CREATE",
  "webhookUid": "text"
}
200

Example response

{
  "action": "PRODUCT_CREATE",
  "httpTransport": {
    "headers": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "name": "text",
    "password": "text",
    "securityType": "NONE",
    "token": "text",
    "httpTransportUid": "text",
    "url": "text",
    "username": "text"
  },
  "webhookUid": "text"
}

Get webhook details

get
/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid}

Get details for a webhook.

Required access: Tenant.Admin

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
webhookUidstringRequired

Reference to a webhook

Pattern: ^[A-Za-z0-9-_]+
httpTransportUidstringRequired

Reference to a Http Transport.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Webhook Response

actionstring · enumRequired
ENUM Description
PRODUCT_CREATE Create new product
PRODUCT_UPDATE Update existing product
PRODUCT_DELETE Product deleted
CUSTOMER_CREATE Create new customer
CUSTOMER_UPDATE Update existing customer
CUSTOMER_DELETE Customer deleted
ORDER_SETTLED New order. Order status is SETTLED
ORDER_RECEIPT_SETTLED A receipt is SETTLED
ORDER_DELIVERED Existing order. Order status DELIVERED
ORDER_HANDLING_STATE_CHANGED An order handling has changed
TILL_CLOSED Till has been counted and closed.
TILL_OPEN Till has been opened.
PRICE_CREATE Create new price.
PRICE_UPDATE Update Price.
PRICE_DELETE Price deleted
STOCK_CHANGE Stock for a warehouseUid and productUid has changed.
PRODUCT_MEDIA_CHANGE Product media has changed (create/update/delete).
PURCHASE_RECEIVED Purchase order fully received
Possible values:
webhookUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid}
GET /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "action": "PRODUCT_CREATE",
  "httpTransport": {
    "headers": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "name": "text",
    "password": "text",
    "securityType": "NONE",
    "token": "text",
    "httpTransportUid": "text",
    "url": "text",
    "username": "text"
  },
  "webhookUid": "text"
}

Update tenant webhook

put
/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid}

Update webhook for a tenant

Required access: Tenant.Admin

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
webhookUidstringRequired

Reference to a webhook

Pattern: ^[A-Za-z0-9-_]+
httpTransportUidstringRequired

Reference to a Http Transport.

Pattern: ^[A-Za-z0-9-_]+
Body

Webhook Update Request Schema

actionstring · enumRequired
ENUM Description
PRODUCT_CREATE Create new product
PRODUCT_UPDATE Update existing product
PRODUCT_DELETE Product deleted
CUSTOMER_CREATE Create new customer
CUSTOMER_UPDATE Update existing customer
CUSTOMER_DELETE Customer deleted
ORDER_SETTLED New order. Order status is SETTLED
ORDER_RECEIPT_SETTLED A receipt is SETTLED
ORDER_DELIVERED Existing order. Order status DELIVERED
ORDER_HANDLING_STATE_CHANGED An order handling has changed
TILL_CLOSED Till has been counted and closed.
TILL_OPEN Till has been opened.
PRICE_CREATE Create new price.
PRICE_UPDATE Update Price.
PRICE_DELETE Price deleted
STOCK_CHANGE Stock for a warehouseUid and productUid has changed.
PRODUCT_MEDIA_CHANGE Product media has changed (create/update/delete).
PURCHASE_RECEIVED Purchase order fully received
Possible values:
Responses
200

Example response

application/json

Webhook Response

actionstring · enumRequired
ENUM Description
PRODUCT_CREATE Create new product
PRODUCT_UPDATE Update existing product
PRODUCT_DELETE Product deleted
CUSTOMER_CREATE Create new customer
CUSTOMER_UPDATE Update existing customer
CUSTOMER_DELETE Customer deleted
ORDER_SETTLED New order. Order status is SETTLED
ORDER_RECEIPT_SETTLED A receipt is SETTLED
ORDER_DELIVERED Existing order. Order status DELIVERED
ORDER_HANDLING_STATE_CHANGED An order handling has changed
TILL_CLOSED Till has been counted and closed.
TILL_OPEN Till has been opened.
PRICE_CREATE Create new price.
PRICE_UPDATE Update Price.
PRICE_DELETE Price deleted
STOCK_CHANGE Stock for a warehouseUid and productUid has changed.
PRODUCT_MEDIA_CHANGE Product media has changed (create/update/delete).
PURCHASE_RECEIVED Purchase order fully received
Possible values:
webhookUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid}
PUT /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "action": "PRODUCT_CREATE"
}
200

Example response

{
  "action": "PRODUCT_CREATE",
  "httpTransport": {
    "headers": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "name": "text",
    "password": "text",
    "securityType": "NONE",
    "token": "text",
    "httpTransportUid": "text",
    "url": "text",
    "username": "text"
  },
  "webhookUid": "text"
}

Delete a webhook from a tenant

delete
/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid}

Deletes a webhook from a tenant.

Required access: Tenant.Admin

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
webhookUidstringRequired

Reference to a webhook

Pattern: ^[A-Za-z0-9-_]+
httpTransportUidstringRequired

Reference to a Http Transport.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid}
DELETE /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated

Was this helpful?